kakinoki.h File Reference
`#include "osl/record/record.h"`
`#include <memory>`
`#include <string>`
`#include <iosfwd>`
`#include <stdexcept>`

Go to the source code of this file.

## Classes

class | osl::kakinoki::KakinokiFile
struct | osl::kakinoki::KakinokiIOError
class | osl::KakinokiFile
struct | osl::KakinokiIOError

## Namespaces

namespace | osl
namespace | osl::kakinoki

## Functions

Move | osl::kakinoki::strToMove (const std::string &, const SimpleState &, Move last_move=Move())
std::pair< Player, Ptype > | osl::kakinoki::strToPiece (const std::string &)